﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Creating Actionable Analytic Reports</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Actionable Analytic Reports</h1>
        <p>The section explains about automated actionable reports that can be generated and suitable actions that can be taken by a user in Saviynt Saviynt Identity Governance and Administration (IGA) application deployed on cloud environment. These reports will be available under the <strong>Analytics</strong> tab for access, the following sections describes the type of actions that can be taken by a user.&#160;</p>
        <p>The section explains the procedure, of managing an actionable report within Saviynt IGA application.</p>
        <h2 id="CreatingActionableAnalyticReport-Selectingandverifyingtheallowedactionsforactionablereport">Selecting and verifying the allowed actions for actionable report</h2>
        <p>You need to select the actions that can be carried out as part of the report you are creating.&#160;</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If the end users are part of a read only SAV role, then users will be able to only view the data and not take action on it.</p>
        </div>
        <p>To assign actions for a new report,&#160;perform the following steps:</p>
        <ol>
            <li>Go to <strong>Analytics &gt; Analytics Configuration List.</strong></li>
            <li>
                <p>Select&#160;Version 1.</p>
            </li>
            <li>
                <p>Click <strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p class="auto-cursor-target">Select <strong>Using SQL Query </strong>or <strong>Custom Analytics Control</strong>.</p>
                <p class="note">
                    <div class="confluence-information-macro-body">
                        <p>Before creating the analytics control, there is an option to <strong>Preview</strong> the control configuration, towards the end of the <strong>Create New Analytics Configuration </strong>page.</p>
                        <p>Note the following points related to <strong>Preview</strong> and <strong>Create</strong> buttons:</p>
                        <ul>
                            <li>If the SQL query that you entered in the control configuration, returns more than or equal to ten records, then the analytics preview displays all the ten records. If the query returns less than ten records, the preview displays those many numbers of records.</li>
                            <li>The <strong>Preview</strong> button is enabled before you click the<strong> Create</strong> button. Once the analytics control is created, you cannot view the <strong>Preview</strong> button.</li>
                            <li>The <strong>Preview</strong> button is used to validate the correctness of the query syntax and to display the first 10 rows of the result data. This does not validate columns in the analytics query for the allowed action. An error message is displayed if the query syntax is incorrect. You can view the error details from the log files or by executing the same query directly in the database.</li>
                            <li>The <strong>Create</strong> button must be used as the final step in the creation of the analytics control. This validates the mandatory columns in the analytics query for the allowed action. You will be able to select the visible and filterable columns for the control and submit the control creation only if all validations are complete.</li>
                        </ul>
                    </div>
                </p>
            </li>
            <li>Select an <strong>Allowed Action</strong>  &#160;and ensure that all mandatory fields are defined.&#160;</li>
            <li>Depending on the SQL query, you can select the columns and type of fields to be displayed.</li>
            <li>Click <strong>Submit </strong>to create a new analytics report.</li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The <strong>Actionable Report</strong> can only be created for <strong>SQL query</strong> and <strong>Custom</strong> based analytic controls.&#160;The field “<strong>Category</strong>”, indicates the destination sub tab under which the report will be displayed.</p>
        </div>
        <p>To assign actions for an existing report,&#160;perform the following steps:</p>
        <ol>
            <li>
                <p>Go to <strong>Analytics  &#160;&gt;  &#160;Analytics Configuration List</strong>.</p>
            </li>
            <li>
                <p>Select&#160;Version 1.</p>
            </li>
            <li>Search and select the analytics report for which you want to assign actions.</li>
            <li>Select an&#160;<strong>Allowed Action</strong>.</li>
            <li>Click <strong>Update</strong> to save the changes made to the report.<br />For more information, see <MadCap:xref href="Configuring-Allowed-Actions.htm">Configuring Allowed Actions</MadCap:xref>.</li>
        </ol>
        <h2 id="CreatingActionableAnalyticReport-RestrictingtheReportAccessibility">Restricting the Report Accessibility</h2>
        <p>The actionable report can be restricted to access by selective SAV role users.</p>
        <p>To restrict the accessibility of a report, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Admin&#160;&gt;&#160;SAV Role&#160;&gt;&#160;SAV Roles</strong>.</li>
            <li>Search and select the name of SAV role user, to be assigned access to a particular report.</li>
            <li>Click on the <strong>Analytics</strong>&#160;tab of the SAV role user.</li>
            <li>Click <strong>Actions</strong>, select <strong>Add New Analytics.</strong></li>
            <li>Search and select the analytic report that must be accessible by the SAV role user.</li>
        </ol>
        <h2 id="CreatingActionableAnalyticReport-ApplyinganActionStatusontheReport">Applying an Action Status on the Report</h2>
        <p>Based on the actions configured in the report, authorized users can take actions on certain data. Actions can be taken on individual records as well as in bulk. While taking action, end users can record the reason in the <strong>Comments</strong> field. You can configure to make the&#160;<strong>Comments</strong> field mandatory. To make the <strong>Comments</strong> field mandatory, select<strong>&#160;Admin &gt;&#160;Global Configurations &gt; Analytics &gt; Mandatory Comments for Allowed Actions</strong>.</p>
        <p>To take actions on the report data, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Analytics  &#160;&gt;  &#160;AnalyticsHistory</strong>.</li>
            <li>
                <p>Select&#160;Version 1.</p>
            </li>
            <li>Go to the required sub tab and then click the report.</li>
            <li>In the <strong>Analytics History</strong>&#160;Detail page that displays, click&#160;<strong>Action</strong> and choose&#160;an action.</li>
            <li>Perform the required action. For example, to map orphan accounts, you have to choose an account from the window and click <strong>Submit</strong>.</li>
            <li>Enter your comments and click <strong>Save</strong>.<br />The comment that you entered is shown under <strong>Comments</strong> and the conflict is resolved.</li>
        </ol>
        <p>
            <img src="../Resources/Images/Analytics History showing a resolved conflict.jpg" style="width: 903px;height: 279px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
            <br />
        </p>
        <p>The field “<strong>Category</strong>”, indicates the destination sub tab under which the report will be displayed.</p>
        <h2 id="CreatingActionableAnalyticReport-SampleActionsonReports">Sample Actions on Reports</h2>
        <h4>If you select Deprovision Account action</h4>
        <p>Following are the step by step instructions to be followed after you have selected <strong>Deprovision Account:</strong></p>
        <ol>
            <li>The deprovision account action, allows you to deprovision any account in IGA with the analytic control. You have to add comments, before you click <strong>Save </strong>for the account to be deprovisioned.</li>
            <li>Entered comments are visible in the comments section on the analytics history screen</li>
            <li>This <strong>Deprovision Account</strong> action will trigger a remove access task. The task can be viewed from the following screen:<ol><li><p>Go to <strong>Request &gt; Tasks &gt; Pending Tasks</strong>, and search based on user name or account details.</p></li><li>To view the comments, entered while selecting the de-provisioning account action, click <strong>Action</strong> under the Actions column and select <strong>View</strong> option.</li><li>After the task is completed, account will be moved to <strong>Manually Suspended</strong> state.</li></ol></li>
        </ol>
        <h4>If you select Reopen Tasks action</h4>
        <p>Following are the step by step instructions to be followed after you have selected <strong>Reopen Tasks:</strong></p>
        <ol>
            <li>Choose a record with task id, select the <strong>Reopen Tasks.</strong> You have to add comments, before you click <strong>Save </strong>on the account to be reopened.</li>
            <li>Entered comments are visible in the comments section on the analytics history screen</li>
            <li>The <strong>Reopen Task</strong> action will reopen an existing remove access task; this task will be moved back from completed tasks section to pending tasks section. The task can be viewed from the following screen:<ol><li><p>Go to <strong>Request &gt;&#160;Tasks &gt;&#160;Pending Tasks</strong>, and search based on user name or account details</p></li><li>Marking this pending task as completed, will remove/deactivate account of the user.</li></ol></li>
        </ol>
        <p>If there are no associated tasks or task id for the selected record, choosing <strong>Reopen Tasks</strong> will not perform any operation.</p>
        <h4>If you select Deprovision Access action</h4>
        <p>Following are the step by step instructions to be followed after you have selected <strong>Deprovision Access:</strong></p>
        <ol>
            <li>
                <p>The deprovision access action, allows you to deprovision any user account in IGA with the analytic control. You have to add comments, before you click <strong>Save </strong>for the account to be deprovisioned.</p>
            </li>
            <li>
                <p>Entered comments are visible in the comments section on the analytics history screen</p>
            </li>
            <li>
                <p>This <strong>Deprovision Access</strong> action will trigger a remove access task. The task can be viewed from the following screen:</p>
                <ol>
                    <li>
                        <p>Go to <strong>Request &gt; Tasks &gt; Pending Tasks</strong>, and search based on user name or account details.</p>
                    </li>
                    <li>
                        <p>To view the comments, entered while selecting the deprovisioning access action. Click on <strong>Action</strong> under Actions column, select <strong>View</strong> option.</p>
                    </li>
                    <li>
                        <p>After the task is completed, account will be moved to <strong>Manually Suspended</strong> state.</p>
                    </li>
                </ol>
            </li>
        </ol>
        <h4>If you select&#160;Map Entitlement Owner action</h4>
        <p>The <strong>Map Entitlement Owner</strong> action is used to&#160;map owner(s) to entitlements in IGA.</p>
        <p>Following are the step by step instructions to be followed after you have selected <strong>Map Entitlement Owner:</strong></p>
        <ol>
            <li>Navigate to <strong> Analytics &gt; Analytics History</strong>.</li>
            <li>Select the analytics record and click <strong>View History</strong>.</li>
            <li>In the <strong>Analytics History</strong> page that displays, click <strong>Open Conflict</strong>.</li>
            <li>In the<strong> Analytics History Details</strong> page that displays, select the <strong>Map Entitlement Owner</strong> under <strong>Action.</strong></li>
            <li>In the <strong>Select User</strong> window that appears, select user(s) as the entitlement owner(s) and click <strong>Submit</strong>.</li>
            <li>Enter comments and click <strong>Save</strong>.</li>
            <li>Go to&#160;<strong>Admin</strong> &gt; <strong>Identity Repository</strong> &gt; <strong>Entitlements</strong> &gt; <strong>Owner</strong> to verify the entitlement owner details.<br />All entitlement owners added using the allowed action are added with Rank 1.</li>
        </ol>
        <p>
            <img src="../Resources/Images/Entitlement owners added using the allowed action.PNG" style="width: 682px;height: 274px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <h4>If you select&#160;Map Orphan Account Action</h4>
        <p>The <strong>Map Orphan Account</strong> action is used to&#160;map orphan accounts in IGA.</p>
        <p>Following are the step by step instructions to be followed after you have selected <strong>Map Orphan Account:</strong></p>
        <ol>
            <li>
                <p>Navigate to <strong>Analytics &gt; Analytics History</strong>.</p>
            </li>
            <li>
                <p>Select the analytics record and click <strong>View History</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Analytics History</strong> page that displays, click <strong>Open Conflict</strong>.</p>
            </li>
            <li>
                <p>In the <strong> Analytics History Details</strong> page that displays, select the <strong>Map Orphan Account</strong> under <strong>Action.</strong></p>
            </li>
            <li>
                <p>In the <strong>Select User</strong> window that appears, select user(s) and click <strong>Submit</strong>.</p>
            </li>
            <li>
                <p>Enter comments and click <strong>Save</strong>.</p>
            </li>
            <li>
                <p>Go to&#160;<strong>Admin &gt; Identity Repository &gt; Accounts</strong>&#160;to verify the user-account co-relation details.<br /><img src="../Resources/Images/Entitlement owners added using the allowed action.PNG" style="width: 659px;height: 284px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
        </ol>
        <p>&#160;</p>
    </body>
</html>